package com.brilliance.swift.exception;

/**
 * 接口通用异常类
 *
 * @author xiaoyuanzhen
 */
public class SwiftException
        extends RuntimeException {
    private String id;
    private String message;
    private Exception exception;
    private static final long serialVersionUID = 1L;

    public SwiftException(String id) {
        super();
        this.id = id;
    }

    public SwiftException(String id, String message) {
        super();
        this.id = id;
        this.message = message;
    }

    public SwiftException(String id, Exception e) {
        super();
        this.id = id;
        this.exception = e;
    }

    public SwiftException(String id, String message, Exception e) {
        super();
        this.id = id;
        this.message = message;
        this.exception = e;
    }

    public String getId() {
        return id;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Throwable getCause() {
        return exception;
    }

    public Exception getException() {
        return exception;
    }
}
