package com.brilliance.swift.mx2map;

import com.brilliance.swift.util.MessageUtil;
import com.prowidesoftware.swift.model.mx.AbstractMX;

import java.util.LinkedHashMap;
import java.util.Map;

public abstract class AbstractMx2MapCreator implements Mx2MapCreator{

    protected String xmlStr;

    protected AbstractMX abstractMX;

    protected String localCode;

    protected Map<String, String> maps = new LinkedHashMap<>();

    public String getXmlStr() {
        return xmlStr;
    }

    public void setXmlStr(String xmlStr) {
        this.xmlStr = xmlStr;
    }

    public AbstractMX getAbstractMX() {
        return abstractMX;
    }

    public void setAbstractMX(AbstractMX abstractMX) {
        this.abstractMX = abstractMX;
    }

    public String getLocalCode() {
        return localCode;
    }

    public void setLocalCode(String localCode) {
        this.localCode = localCode;
    }

    protected String getPropertyValue(String key) {
        return MessageUtil.getPropertyValue(localCode, key);
    }
}
