package com.brilliance.swift.swiftdto2mt.mt940950.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.swiftdto2mt.AbstractSwiftDto2MtTagGenerate;
import com.brilliance.swift.swiftdto2mt.SwiftDto2MtContextIdentifier;
import com.brilliance.swift.util.StringUtil;
import com.brilliance.swift.vo.BankToCustomerStatement;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;


public class Tag28CGenerate extends AbstractSwiftDto2MtTagGenerate {

    private String name = "28";

    @Override
    public void tagGenerate() throws SwiftException {
        try {
            BankToCustomerStatement bankToCustomerStatement = (BankToCustomerStatement)context.get(SwiftDto2MtContextIdentifier.SWIFT_DTO_OBJ, true);
            SwiftMessage swiftMessage = context.get(SwiftMessage.class);
            List<Tag> tags = swiftMessage.getBlock4().getTags();
            String elctrncSeqNb = bankToCustomerStatement.getElctrncSeqNb();
            String pgNb = bankToCustomerStatement.getPgNb();
            String value = pgNb + "/" + elctrncSeqNb;
            tags.add(new Tag(name, value));
        }catch (Exception e){
            throw new SwiftException("ERROR", e.getMessage());
        }
    }
}
