package com.brilliance.swift.vo;

import com.brilliance.swift.vo.common.*;

import java.util.Date;

/**
 * Mapping pacs.009.001.xx
 */
public class VoFinancialInstitutionCreditTransfer extends SwiftDto{

    protected TransactionReference txnRef;

    protected Date debitDate;

    protected Date creditDate;

    protected Date clsDate;

    protected Date settledDate;

    protected CcyFormatAmount settledCcyFormatAmount;

    protected PartyAccount settleAccount;//appear 53B

    protected PartyDto debitParty;

    protected PartyDto instgAgtParty;

    protected PartyDto instdAgtParty;

    protected PartyDto intrmyAgtParty;

    protected PartyDto creditAgtParty;

    protected PartyDto creditParty;

    protected PartyDto preInstgAgtParty;

    protected InstructionForCreditAgent instForCrdAgt;

    protected InstructionForNextAgent instForNxtAgt;

    /**
     * Underlying Customer Credit Transfer
     */
    protected VoCustomerCreditTransfer underCustomerCreditTransfer;

    public Date getDebitDate() {
        return debitDate;
    }

    public void setDebitDate(Date debitDate) {
        this.debitDate = debitDate;
    }

    public Date getCreditDate() {
        return creditDate;
    }

    public void setCreditDate(Date creditDate) {
        this.creditDate = creditDate;
    }

    public Date getClsDate() {
        return clsDate;
    }

    public void setClsDate(Date clsDate) {
        this.clsDate = clsDate;
    }

    public Date getSettledDate() {
        return settledDate;
    }

    public void setSettledDate(Date settledDate) {
        this.settledDate = settledDate;
    }

    public CcyFormatAmount getSettledCcyFormatAmount() {
        return settledCcyFormatAmount;
    }

    public void setSettledCcyFormatAmount(CcyFormatAmount settledCcyFormatAmount) {
        this.settledCcyFormatAmount = settledCcyFormatAmount;
    }

    public PartyAccount getSettleAccount() {
        return settleAccount;
    }

    public void setSettleAccount(PartyAccount settleAccount) {
        this.settleAccount = settleAccount;
    }

    public PartyDto getDebitParty() {
        return debitParty;
    }

    public void setDebitParty(PartyDto debitParty) {
        this.debitParty = debitParty;
    }

    public PartyDto getInstgAgtParty() {
        return instgAgtParty;
    }

    public void setInstgAgtParty(PartyDto instgAgtParty) {
        this.instgAgtParty = instgAgtParty;
    }

    public PartyDto getInstdAgtParty() {
        return instdAgtParty;
    }

    public void setInstdAgtParty(PartyDto instdAgtParty) {
        this.instdAgtParty = instdAgtParty;
    }

    public PartyDto getIntrmyAgtParty() {
        return intrmyAgtParty;
    }

    public void setIntrmyAgtParty(PartyDto intrmyAgtParty) {
        this.intrmyAgtParty = intrmyAgtParty;
    }

    public PartyDto getCreditAgtParty() {
        return creditAgtParty;
    }

    public void setCreditAgtParty(PartyDto creditAgtParty) {
        this.creditAgtParty = creditAgtParty;
    }

    public PartyDto getCreditParty() {
        return creditParty;
    }

    public void setCreditParty(PartyDto creditParty) {
        this.creditParty = creditParty;
    }

    public PartyDto getPreInstgAgtParty() {
        return preInstgAgtParty;
    }

    public void setPreInstgAgtParty(PartyDto preInstgAgtParty) {
        this.preInstgAgtParty = preInstgAgtParty;
    }

    public InstructionForCreditAgent getInstForCrdAgt() {
        return instForCrdAgt;
    }

    public void setInstForCrdAgt(InstructionForCreditAgent instForCrdAgt) {
        this.instForCrdAgt = instForCrdAgt;
    }

    public InstructionForNextAgent getInstForNxtAgt() {
        return instForNxtAgt;
    }

    public void setInstForNxtAgt(InstructionForNextAgent instForNxtAgt) {
        this.instForNxtAgt = instForNxtAgt;
    }

    public TransactionReference getTxnRef() {
        return txnRef;
    }

    public void setTxnRef(TransactionReference txnRef) {
        this.txnRef = txnRef;
    }

    public VoCustomerCreditTransfer getUnderCustomerCreditTransfer() {
        return underCustomerCreditTransfer;
    }

    public void setUnderCustomerCreditTransfer(VoCustomerCreditTransfer underCustomerCreditTransfer) {
        this.underCustomerCreditTransfer = underCustomerCreditTransfer;
    }
}
