package com.brilliance.mx2mtmap.mt202;

import com.brilliance.swift.SwiftTransfer;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

public class Test {

    private static void test202() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxPacs00900109.xml"));
        Map<String, Object> extraMap = new HashMap<>();
        extraMap.put("bnkBic", "BANKANC0XXX");//发报
        //extraMap.put("bnkBic", "FOOBARC0");//收报
        Map<String, String> maps = SwiftTransfer.mx2MtMap(xmlStr, extraMap);
        maps.forEach((k, v) -> System.out.println(k + "=" + v));
    }

    private static void test202Cov() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxPacs00900109_COV.xml"));
        Map<String, Object> extraMap = new HashMap<>();
        //extraMap.put("bnkBic", "DEUTDEFF");//发报
        extraMap.put("bnkBic", "DEUTNL2A");//收报
        Map<String, String> maps = SwiftTransfer.mx2MtMap(xmlStr, extraMap);
        maps.forEach((k, v) -> System.out.println(k + "=" + v));
    }
    private static void test196() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxCamt02900108_196.xml"));
        String maps = SwiftTransfer.mx2Gson(xmlStr);
        System.out.println(maps);
    }
    private static void test940() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxCamt05300108_940.xml"));
        String maps = SwiftTransfer.mx2Gson(xmlStr);
        System.out.println(maps);
    }
    private static void test910() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxCamt05400108_CREDIT.xml"));
        String maps = SwiftTransfer.mx2Gson(xmlStr);
        System.out.println(maps);
    }
    private static void test192() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxCamt05600108_192.xml"));
        String maps = SwiftTransfer.mx2Gson(xmlStr);
        System.out.println(maps);
    }
    private static void test942() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MXcamt05200108_942.xml"));
        String maps = SwiftTransfer.mx2Gson(xmlStr);
        System.out.println(maps);
    }
    private static void test210() throws IOException {
        String xmlStr = FileUtils.readFileToString(new File(System.getProperty("user.dir")+"\\swiftCore\\src\\main\\resources\\swiftXml\\MxCamt05700106.xml"));
        String maps = SwiftTransfer.mx2Gson(xmlStr);
        System.out.println(maps);
    }

    public static void main(String[] args) throws IOException {
        //test202();
        //test202Cov();
        //test196();
        //test910();
        //test940();
        //test192();
        //test942();
        test210();
    }

}
