package com.brilliance.swift.mt2mx.pacs008001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxPacs008001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected Map<String, Object> cdtTrfTxInfMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> fIToFICstmrCdtTrfMaps = (Map<String, Object>)jsonMaps.get("fiToFICstmrCdtTrf");
        grpHdrMaps = (Map<String, Object>)fIToFICstmrCdtTrfMaps.get("grpHdr");
        JSONArray cdtTrfTxInfJsonArray = (JSONArray) fIToFICstmrCdtTrfMaps.get("cdtTrfTxInf");
        cdtTrfTxInfMaps = (Map<String, Object>)cdtTrfTxInfJsonArray.get(0);

    }
}
