package com.brilliance.swift.mt2mx.setlmtd.impl;

import com.brilliance.swift.mt2mx.setlmtd.AbstractSettlementMethodAnalyzer;
import com.brilliance.swift.vo.VoSettlementMethodHelper;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class FieldOnly54BAnalyzer extends AbstractSettlementMethodAnalyzer {
    @Override
    public VoSettlementMethodHelper analyse() {
        VoSettlementMethodHelper seltMtdHelper = new VoSettlementMethodHelper();
        AbstractMT abstractMT = context.get(AbstractMT.class);
        if (abstractMT.getSwiftMessage().isCOV()) {
            seltMtdHelper.setSettlementMethod("INDA");
        } else {
            seltMtdHelper.setSettlementMethod("COVE");
            seltMtdHelper.setTranslate54Flag(true);
        }
        return seltMtdHelper;
    }
}
