package com.brilliance.swift.mx2mt.mt196296.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**
 *
 */
public class Field11RGenerate extends AbstractMx2MtTagsGenerate {

    private static String name = "11R";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String orgnlMsgNmId = "";
        String date = "";
        String mtType = getXmlNodeValue(bodyHdrParentElementName, document, "CxlDtls.TxInfAndSts.OrgnlGrpInf.OrgnlMsgNmId");
        String dateStr = getXmlNodeValue(bodyHdrParentElementName, document, "CxlDtls.TxInfAndSts.OrgnlGrpInf.OrgnlCreDtTm");
        if (StringUtil.isNotEmpty(mtType)) {
            orgnlMsgNmId = getMtMsg(mtType);
        }
        if(StringUtil.isNotEmpty(dateStr)){
            date = mXToMTDate(dateStr);
        }
        tags.add(new Tag(name, orgnlMsgNmId+Mx2MtConstants.NEW_LINE+date));
    }
}
