package com.brilliance.swift.mx2mt.mt941942.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**

 */
public class Field28CGenerate extends AbstractMx2MtTagsGenerate {

    private static String name = "28C";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String leSeNum = getXmlNodeValue(bodyHdrParentElementName, document, "Rpt.LglSeqNb");
        String mt = "";
        if(StringUtil.isEmpty(leSeNum)||leSeNum.length()>5){
            mt = getXmlNodeValue(bodyHdrParentElementName, document, "Rpt.ElctrncSeqNb");
        }else {
            String pageNum = getXmlNodeValue(bodyHdrParentElementName, document, "Rpt.RptPgntn.PgNb");
            mt = leSeNum + "/" + pageNum;
        }
        tags.add(new Tag(name,mt));
    }
}
