package com.brilliance.swift.mx2mt.mt941942.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**

 */
public class Field86Generate extends AbstractMx2MtTagsGenerate {

    private static String name = "86";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String addtlStmtInf = getXmlNodeValue(bodyHdrParentElementName, document, "Rpt.AddtlRptInf");
        if (StringUtil.isNotEmpty(addtlStmtInf)) {
            if (addtlStmtInf.length() > 390) {
                addtlStmtInf = addtlStmtInf.substring(0, 389) + "+";
            }
            String value = StringUtil.getStringByEnter(addtlStmtInf, 65, 6);
            tags.add(new Tag(name, value));
        }
    }
}
