package com.brilliance.swift.util;

import com.brilliance.swift.exception.SwiftException;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class MessageUtil {

    private static Properties properties = null;

    public static String getPropertyValue(String localCode, String key) {
        try {
            if (properties == null) {
                String fileName = "/Messages_CN.properties";
                if ("US".equals(localCode)) {
                    fileName = "/Messages_US.properties";
                }
                InputStream resourceAsStream = SwiftTransferUtil.class.getResourceAsStream(fileName);
                properties = new Properties();
                properties.load(resourceAsStream);
            }
            if (properties != null) {
                return properties.getProperty(key, key);
            }
            return key;
        } catch (IOException e) {
            throw new SwiftException("ERROR", e.getMessage());
        }
    }
}
