package com.brilliance.swift.vo;

import com.brilliance.swift.vo.common.MessagePriority;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SwiftHeader {

    private String senderBic;

    private String receiverBic;

    private String messageId;

    private String messageDefId;

    private String messageType;

    private String version;

    private String businessService;

    private Date createDate;

    private MessagePriority messagePriority;

    private Boolean possibleDuplicate;

    private List<SwiftHeader> relatedSwiftHeaders;

    public String getSenderBic() {
        return senderBic;
    }

    public void setSenderBic(String senderBic) {
        this.senderBic = senderBic;
    }

    public String getReceiverBic() {
        return receiverBic;
    }

    public void setReceiverBic(String receiverBic) {
        this.receiverBic = receiverBic;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getMessageDefId() {
        return messageDefId;
    }

    public void setMessageDefId(String messageDefId) {
        this.messageDefId = messageDefId;
    }

    public String getMessageType() {
        /*if (messageDefId != null) {
            if (messageDefId.split("\\.").length == 4) {
                messageType =  messageDefId.substring(0, messageDefId.lastIndexOf("."));
            }
        }*/
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getVersion() {
        /*if (messageDefId != null) {
            if (messageDefId.split("\\.").length == 4) {
                version =  messageDefId.substring(messageDefId.lastIndexOf(".")+1);
            }
        }*/
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getBusinessService() {
        return businessService;
    }

    public void setBusinessService(String businessService) {
        this.businessService = businessService;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public MessagePriority getMessagePriority() {
        return messagePriority;
    }

    public void setMessagePriority(MessagePriority messagePriority) {
        this.messagePriority = messagePriority;
    }

    public Boolean getPossibleDuplicate() {
        return possibleDuplicate;
    }

    public void setPossibleDuplicate(Boolean possibleDuplicate) {
        this.possibleDuplicate = possibleDuplicate;
    }

    public List<SwiftHeader> getRelatedSwiftHeaderList() {
        if (relatedSwiftHeaders == null) {
            relatedSwiftHeaders = new ArrayList<>();
        }
        return this.relatedSwiftHeaders;
    }

    public void addRelatedSwiftHeader(SwiftHeader swiftHeader) {
        getRelatedSwiftHeaderList().add(swiftHeader);
    }
}
