package com.brilliance.swift.vo;

import java.io.Serializable;

public class VoSettlementMethodHelper implements Serializable {
    private static final long serialVersionUID = -4632575473568055560L;

    /**
     * 结算方式，对应MX Group Header->Settlement Information->Settlement Method
     */
    private String settlementMethod;

    /**
     * mt -> mx
     * false 表示不转换53域
     * true 表示转换53域
     */
    private boolean translate53Flag = false;

    /**
     * mt -> mx
     * false 表示不转换54域
     * true 表示转换54域
     */
    private boolean translate54Flag = false;

    /**
     * mt -> mx
     * false 表示不转换55域
     * true 表示转换55域
     */
    private boolean translate55Flag = false;

    /**
     * mt -> mx
     * false 表示不转换 Group Header -> Settlement Information -> Settlement Account
     * true 表示转换 Group Header -> Settlement Information -> Settlement Account
     */
    private boolean translateSetlAcctFlag = false;

    private String instructionForNextAgent;

    public String getSettlementMethod() {
        return settlementMethod;
    }

    public void setSettlementMethod(String settlementMethod) {
        this.settlementMethod = settlementMethod;
    }

    public boolean isTranslate53Flag() {
        return translate53Flag;
    }

    public void setTranslate53Flag(boolean translate53Flag) {
        this.translate53Flag = translate53Flag;
    }

    public boolean isTranslate54Flag() {
        return translate54Flag;
    }

    public void setTranslate54Flag(boolean translate54Flag) {
        this.translate54Flag = translate54Flag;
    }

    public boolean isTranslate55Flag() {
        return translate55Flag;
    }

    public void setTranslate55Flag(boolean translate55Flag) {
        this.translate55Flag = translate55Flag;
    }

    public String getInstructionForNextAgent() {
        return instructionForNextAgent;
    }

    public void setInstructionForNextAgent(String instructionForNextAgent) {
        this.instructionForNextAgent = instructionForNextAgent;
    }

    public boolean isTranslateSetlAcctFlag() {
        return translateSetlAcctFlag;
    }

    public void setTranslateSetlAcctFlag(boolean translateSetlAcctFlag) {
        this.translateSetlAcctFlag = translateSetlAcctFlag;
    }
}
