
package com.prowidesoftware.swift.model.mx.dic;

import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Specifies the type of update requested. That is addition, deletion or modification.
 * 
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UpdateType11Choice", propOrder = {
    "addtn",
    "deltn",
    "mod"
})
public class UpdateType11Choice {

    @XmlElement(name = "Addtn")
    protected SecuritiesSettlementTransactionDetails15 addtn;
    @XmlElement(name = "Deltn")
    protected SecuritiesSettlementTransactionDetails16 deltn;
    @XmlElement(name = "Mod")
    protected SecuritiesSettlementTransactionDetails14 mod;

    /**
     * Gets the value of the addtn property.
     * 
     * @return
     *     possible object is
     *     {@link SecuritiesSettlementTransactionDetails15 }
     *     
     */
    public SecuritiesSettlementTransactionDetails15 getAddtn() {
        return addtn;
    }

    /**
     * Sets the value of the addtn property.
     * 
     * @param value
     *     allowed object is
     *     {@link SecuritiesSettlementTransactionDetails15 }
     *     
     */
    public UpdateType11Choice setAddtn(SecuritiesSettlementTransactionDetails15 value) {
        this.addtn = value;
        return this;
    }

    /**
     * Gets the value of the deltn property.
     * 
     * @return
     *     possible object is
     *     {@link SecuritiesSettlementTransactionDetails16 }
     *     
     */
    public SecuritiesSettlementTransactionDetails16 getDeltn() {
        return deltn;
    }

    /**
     * Sets the value of the deltn property.
     * 
     * @param value
     *     allowed object is
     *     {@link SecuritiesSettlementTransactionDetails16 }
     *     
     */
    public UpdateType11Choice setDeltn(SecuritiesSettlementTransactionDetails16 value) {
        this.deltn = value;
        return this;
    }

    /**
     * Gets the value of the mod property.
     * 
     * @return
     *     possible object is
     *     {@link SecuritiesSettlementTransactionDetails14 }
     *     
     */
    public SecuritiesSettlementTransactionDetails14 getMod() {
        return mod;
    }

    /**
     * Sets the value of the mod property.
     * 
     * @param value
     *     allowed object is
     *     {@link SecuritiesSettlementTransactionDetails14 }
     *     
     */
    public UpdateType11Choice setMod(SecuritiesSettlementTransactionDetails14 value) {
        this.mod = value;
        return this;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
    }

    @Override
    public boolean equals(Object that) {
        return EqualsBuilder.reflectionEquals(this, that);
    }

    @Override
    public int hashCode() {
        return HashCodeBuilder.reflectionHashCode(this);
    }

}
